#!/bin/bash

# dirs
for i in /etc/alxconfig-ng/skel \
	/etc/alxconfig-ng/ica-sessions/icons \
	/etc/rc.d/init.d \
	/usr/lib/alxconfig-ng/functions \
	/usr/sbin
do
	[ ! -d "${i}" ] && install -d "${i}"
done

# bins
install -m 0755 -o root -g root \
	bin/X-no-wm.sh \
	/usr/sbin/X-no-wm
install -m 0755 -o root -g root \
	bin/update-alx.sh \
	/usr/sbin/update-alx

# inits
for i in alxsetstate alxsettings xdm-alx
do
	install -m 0755 -o root -g root \
		init.d/"${i}" \
		/etc/rc.d/init.d/"${i}"
done

# lib bins
install -d /usr/lib/alxconfig-ng/bin
for i in bin/user_shutdown.sh \
	bin/user_reboot.sh
do
	install -m 0755 -o root -g root \
		${i} \
		/usr/lib/alxconfig-ng/bin
done

# functions
for i in config_network.sh \
	config_printers.sh \
	config_sessions.sh \
	config_x11.sh \
	config_auth.sh \
	config_ssh_auth.sh \
	config_modules.sh \
	config_versions.sh \
	mysqlfunctions \
	serial_functions.sh
do
	install -m 0644 -o root -g root \
	functions/"${i}" \
	/usr/lib/alxconfig-ng/functions/$(basename "${i}" .sh)
done

# configs
install -m 0644 -o root -g root \
	conf/config.rc \
	/etc/alxconfig-ng

# icons
install -m 0644 -o root -g root \
	icons/default.png \
	/etc/alxconfig-ng/ica-sessions/icons

# skeletons
for i in fluxbox idesk samba
do
	[ ! -d /etc/alxconfig-ng/skel/"${i}" ] && install -d /etc/alxconfig-ng/skel/"${i}"
	install -m 0644 -o root -g root \
		skel/"${i}"/* \
		/etc/alxconfig-ng/skel/"${i}"/
done

# install user station if needed
[ -x /usr/lib/mage/museradd ] && \
	/usr/lib/mage/museradd -o "-g users -G audio,video -d /home/station -s /bin/bash" station
[ ! -d /home/station ] && install -o station -g users -d /home/station
echo "exec startfluxbox" > /home/station/.xinitrc
